package com.icauda.article.pgm.tri.algo;

/**
 * TODO
 * 
 * @author Thierry Leriche-Dessirier (www.icauda.com)
 * 
 */
public interface Tri {

	/**
	 * Tri une copie du tableau passe en parametre.
	 * 
	 * Le tableau initial n'est pas modifie.
	 * 
	 * @param tab
	 *            Le tableau a trier.
	 * @return Une copie triee de tab.
	 */
	int[] trierCopy(final int[] tab);

	/**
	 * Tri le tableau passe en parametre.
	 * 
	 * Le tableau original est modifie.
	 * 
	 * @param tab
	 *            Le tableau a trier.
	 */
	void trier(final int[] tab);

}
