package com.icauda.article.pgm.tri.util;

import java.util.ArrayList;
import java.util.List;

public class Elements {

	public static void permuter(final int indexA, final int indexB, final int[] tab) {
		final int temp = tab[indexA];
		tab[indexA] = tab[indexB];
		tab[indexB] = temp;
	}

	public static void decaler(final int tab[], int a, int b, int n) {
		for (int i = 0; i < n; i++, a++, b++) {
			permuter(a, b, tab);
		}
	}
	
	public static void printTab(final int[] tab) {
		System.out.println("******************");
		for(final int elt : tab) {
			System.out.print(elt);
			System.out.print(" ");
		}
		System.out.println();
	}

	public static int[] toTab(final Element elt) {

		if (elt == null) {
			return null;
		}

		// Compter le nombre d'elements.
		int nb = 0;
		Element next = elt;
		while (next != null) {
			next = next.getNext();
			nb++;
		}

		// Transformer la liste chainee en tableau.
		final int[] tab = new int[nb];
		int i = 0;
		next = elt;
		while (next != null) {
			tab[i++] = next.getValue();
			next = next.getNext();
		}

		return tab;
	}
	
	
	public static List<Integer> tabToList(final int[] tab) {
		final List<Integer> liste = new ArrayList<>(tab.length);

		for (final int elt : tab) {
			liste.add(elt);
		}

		return liste;
	}

	public static void ecraser(final List<Integer> from, final int[] to) {
		int i = 0;
		for (final int elt : from) {
			to[i++] = elt;
		}
	}
	
}
