package com.icauda.article.pgm.tri.util;

import org.junit.Assert;
import org.junit.Test;

public class ElementsTest {

	@Test
	public void testToTab() {

		// Arrange

		final int[] expected = { 1, 2, 3 };

		final Element e1 = new Element(1);
		final Element e2 = new Element(2);
		final Element e3 = new Element(3);

		e1.setNext(e2);
		e2.setNext(e3);

		// Act
		final int[] tab = Elements.toTab(e1);

		// Assert
		Assert.assertArrayEquals(expected, tab);

	}

}
